- name: Re-Login to keycloak
  uri:
    method: POST
    url: "https://idm.{{ DOMAIN }}/auth/realms/master/protocol/openid-connect/token"
    return_content: yes
    body_format: form-urlencoded
    body:
        grant_type: "password"
        client_id: "admin-cli"
        username: "{{ ADMIN_USERNAME }}"
        password: "{{ ADMIN_PASSWORD }}"
    status_code: 200
  register: keycloak_login

- name: Create Default Tenant Group
  uri:
    method: POST
    url: "https://idm.{{ DOMAIN }}/auth/admin/realms/{{ inv_idm.keycloak.realm_name }}/groups"
    return_content: yes
    body_format: json
    body: "{{ lookup('template', '04_idm_keycloak/groups/default_tenant.json.j2') }}"
    headers:
      Accept: application/json
      Authorization: Bearer {{ keycloak_login.json.access_token }}
    status_code: 201,409
  register: group_default_tenant_response

- name: Check if already existing.
  debug:
    msg: "Failed. Group may already exist."
  when: group_default_tenant_response.status == 409    
